Name:	 recode
Version: 3.7.6
Release: 2
Summary: Converter between charsets and surfaces


License: GPLv2 and LGPLv2.1
URL:	 https://www.gnu.org/software/recode/
Source0: https://github.com/rrthomas/recode/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz


BuildRequires: libtool texinfo autoconf automake coreutils gcc gettext-devel
BuildRequires: python3-Cython python3-devel >= 3.7.5
Requires: info

%description
The recode library converts files between character sets and usages.
It recognises or produces more than 300 different character sets
and transliterates files between almost any pair.  When exact
transliteration are not possible, it gets rid of offending characters
or fall back on approximations.  The recode program is a handy
front-end to the library.

%package devel
Summary:  Development header files for using the recode library
Requires: %{name} = %{version}-%{release}
Provides: %{name}-static
Obsoletes: %{name}-static

%description devel
The recode library converts files between character sets and usages.
The recode-devel package provides the necessary development libraries
and include files to allow you to develop applications using the recode
libraries.

%package        help
Summary:        Documents for %{name}
Buildarch:      noarch
Requires:	man info

%description help
Man pages and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vif
%configure
make %{?_smp_mflags}

%check
make check %{?_smp_mflags}

%install
%make_install
%find_lang %{name}

%post
/sbin/ldconfig
if [ -f %{_infodir}/%{name}.info.gz ]; then
  /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi
%preun
if [ $1 = 0 ]; then
  if [ -f %{_infodir}/%{name}.info.gz ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
  fi
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING*
%{_bindir}/recode
%{_libdir}/librecode.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/librecode.so
%{_libdir}/librecode.*a

%files help
%doc ABOUT-NLS AUTHORS ChangeLog INSTALL NEWS README THANKS TODO
%{_infodir}/*.info.gz
%exclude %{_infodir}/dir*
%{_mandir}/man1/*.1.gz

%changelog
* Tue Dec 15 2020 shixuantong<shixuantong@huawei.com> - 3.7.6-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add python3-Cython and python3-devel to BuildRequires for check fail

* Sun Sep 27 2020 tianwei<tianwei12@huawei.com> - 3.7.6-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:update to release 3.7.6

* Sat Jan 11 2020 zhangguangzhi<zhangguangzhi3@huawei.com> - 3.6-50
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:del patch to be consistent with open source

* Fri Aug 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.6-49
- Package init
